import { Renderer2, ElementRef, EventEmitter } from '@angular/core';
import { DropdownNotClosableZoneDirective } from './DropdownNotClosableZone';
export declare class DropdownDirective {
    private elementRef;
    private render;
    toggleClick: boolean;
    activateOnFocus: boolean;
    inOpen: EventEmitter<{}>;
    inClose: EventEmitter<{}>;
    notClosableZone: DropdownNotClosableZoneDirective;
    constructor(elementRef: ElementRef, render: Renderer2);
    open(): void;
    close(): void;
    isOpened(): boolean;
    isInClosableZone(element: HTMLElement): boolean;
}
