import { Renderer2, ElementRef, OnDestroy } from '@angular/core';
import { DropdownDirective } from './Dropdown';
import { DropdownCloseble } from './dropdown-closeble.directive';
export declare class DropdownOpenDirective extends DropdownCloseble implements OnDestroy {
    /**
     * This hack is needed for dropdown not to open and instantly closed
     */
    private openedByFocus;
    constructor(dropdown: DropdownDirective, elementRef: ElementRef, render: Renderer2);
    openDropdown(): void;
    onFocus(): void;
    onBlur(event: FocusEvent): void;
    ngOnDestroy(): void;
}
